<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>UserMapper.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.service.mapper</a> &gt; <span class="el_source">UserMapper.java</span></div><h1>UserMapper.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.service.mapper;

import br.edu.unifacisa.lti.domain.Authority;
import br.edu.unifacisa.lti.domain.User;
import br.edu.unifacisa.lti.service.dto.UserDTO;
import org.mapstruct.*;

import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * Mapper for the entity User and its DTO UserDTO.
 */
@Mapper(componentModel = &quot;spring&quot;, uses = {})
public interface UserMapper {

    UserDTO userToUserDTO(User user);

    List&lt;UserDTO&gt; usersToUserDTOs(List&lt;User&gt; users);

    @Mapping(target = &quot;createdBy&quot;, ignore = true)
    @Mapping(target = &quot;createdDate&quot;, ignore = true)
    @Mapping(target = &quot;lastModifiedBy&quot;, ignore = true)
    @Mapping(target = &quot;lastModifiedDate&quot;, ignore = true)
    @Mapping(target = &quot;activationKey&quot;, ignore = true)
    @Mapping(target = &quot;resetKey&quot;, ignore = true)
    @Mapping(target = &quot;resetDate&quot;, ignore = true)
    @Mapping(target = &quot;password&quot;, ignore = true)
    User userDTOToUser(UserDTO userDTO);

    List&lt;User&gt; userDTOsToUsers(List&lt;UserDTO&gt; userDTOs);

    default User userFromId(Long id) {
<span class="nc bnc" id="L35" title="All 2 branches missed.">        if (id == null) {</span>
<span class="nc" id="L36">            return null;</span>
        }
<span class="nc" id="L38">        User user = new User();</span>
<span class="nc" id="L39">        user.setId(id);</span>
<span class="nc" id="L40">        return user;</span>
    }

    default Set&lt;String&gt; stringsFromAuthorities (Set&lt;Authority&gt; authorities) {
<span class="nc" id="L44">        return authorities.stream().map(Authority::getName)</span>
<span class="nc" id="L45">            .collect(Collectors.toSet());</span>
    }

    default Set&lt;Authority&gt; authoritiesFromStrings(Set&lt;String&gt; strings) {
<span class="nc" id="L49">        return strings.stream().map(string -&gt; {</span>
<span class="nc" id="L50">            Authority auth = new Authority();</span>
<span class="nc" id="L51">            auth.setName(string);</span>
<span class="nc" id="L52">            return auth;</span>
<span class="nc" id="L53">        }).collect(Collectors.toSet());</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>